<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" encoding="iso-8859-1">

<xsl:output indent = "no"  method= "text"/>

<xsl:strip-space elements = "*"/>

	<xsl:template match="/">
		<xsl:apply-templates select="beans_cps"/>
	</xsl:template>

        <xsl:template match="beans_cps">
               <xsl:call-template name="entete"/>
               <xsl:call-template name="variable"/>
               <xsl:call-template name="pied"/>
        </xsl:template>


	<xsl:template name="entete">

&lt;tal:block define="current_action string:edit;
                   mcat nocall:here/portal_messages;
                   create options/create|nothing"&gt;
&lt;tal:block define="global rte
  python:here.rte_editor(request, name='text', 
    buffer=(create and [''] or [here.text])[0],
    submit_value=(create and mcat('_button_create_') or mcat('_button_modify_')))" /&gt;
&lt;html xmlns:tal="http://xml.zope.org/namespaces/tal"
      xmlns:metal="http://xml.zope.org/namespaces/metal"
      metal:use-macro="here/main_template/macros/master"&gt;
  &lt;metal:block fill-slot="base"&gt;
    &lt;base href="." tal:attributes="href string:${here/absolute_url}/"&gt;
  &lt;/metal:block&gt;
&lt;body&gt;


&lt;metal:block fill-slot="script_plus" tal:content="structure rte/script_plus" /&gt;

&lt;metal:block fill-slot="header"&gt;
  &lt;tal:block condition="create"
    tal:content="python:mcat('_Create_a_Text_Document_')"&gt;
    Create a Text Document
  &lt;/tal:block&gt;
  &lt;tal:block condition="not:create"&gt;
    &lt;tal:block replace="python:mcat('_Modify_(object name)_')"&gt;
      Modify
    &lt;/tal:block&gt;

  &lt;/tal:block&gt;
&lt;/metal:block&gt;

&lt;metal:block fill-slot="header_plus" /&gt;

&lt;metal:block fill-slot="main"
  tal:define="title python:create and mcat('_(document)_Untitled_') or here.Title();
                 description python:(create and [''] or [here.description])[0];
                 action python:create and 'cpsdocument_create' or 'cpsdocument_edit';
                "&gt;

  &lt;form name="edit_form" action="." method="post" enctype="multipart/form-data"
        tal:attributes="action action"&gt;


  &lt;metal:block use-macro="here/main_widgets/macros/form"&gt;
    &lt;metal:block fill-slot="content"&gt;

      &lt;metal:block use-macro="here/main_widgets/macros/form_property"&gt;
        &lt;metal:block fill-slot="title"
          tal:content="python:mcat('_prop_title_')"&gt;
          Title
        &lt;/metal:block&gt;
        &lt;metal:block fill-slot="content"&gt;
          &lt;input type="text" name="title" value="" /&gt;
        &lt;/metal:block&gt;
      &lt;/metal:block&gt;


        </xsl:template>
	<xsl:template name="variable">
        <xsl:for-each select="class/property">

      &lt;metal:block use-macro="here/main_widgets/macros/form_property"&gt;
        &lt;metal:block fill-slot="title"
          tal:content="python:mcat('<xsl:value-of select="@name"/>')"&gt;
          Title
        &lt;/metal:block&gt;
        &lt;metal:block fill-slot="content"&gt;
          &lt;input type="<xsl:value-of select="@type"/>" name="<xsl:value-of select="@name"/>" value=""/&gt;
        &lt;/metal:block&gt;
      &lt;/metal:block&gt;

    	   </xsl:for-each>

        </xsl:template>

	<xsl:template name="pied">


    &lt;/metal:block&gt;
  &lt;/metal:block&gt;
  &lt;input type="hidden" name="type_name" value="<xsl:value-of select="fti/meta_type"/>"&gt;
  &lt;tal:block replace="structure rte/form" /&gt;
  &lt;input type="button" name="cancel" onclick="history.back()"
    tal:attributes="value python:mcat('_button_cancel_')"&gt;

  &lt;/form&gt;

&lt;/metal:block&gt;




&lt;/body&gt;
&lt;/html&gt;
&lt;/tal:block&gt;


</xsl:template>


</xsl:stylesheet>