<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output indent = "no"  method= "text"/>

<xsl:strip-space elements = "*"/>

	<xsl:template match="/">
		<xsl:apply-templates select="beans_cps"/>
	</xsl:template>
        <xsl:template match="beans_cps">
               <xsl:call-template name="entete"/>
               <xsl:call-template name="variable"/>
               <xsl:call-template name="pied"/>
        </xsl:template>

	<xsl:template name="variable">
 	   <xsl:for-each select="class/property">
                &lt; div tal:replace="structure python:pss.structured_text(here.<xsl:value-of select="@name"/>)">Content/div &gt;
    	   </xsl:for-each>
	</xsl:template>

	<xsl:template name="entete">
        
          &lt; tal:block define="current_action string:view" &gt;
          &lt; html xmlns:tal="http://xml.zope.org/namespaces/tal"
               xmlns:metal="http://xml.zope.org/namespaces/metal"
               metal:use-macro="here/main_template/macros/master" &gt;
                &lt; metal:block fill-slot="base" &gt;
                &lt; base href="." tal:attributes="href string:${here/absolute_url}/" &gt;
                &lt; /metal:block &gt;
                &lt; body &gt;

          &lt;metal:block fill-slot="main" tal:define="pss modules/Products/PythonScripts/standard" &gt;
    

	</xsl:template>


	<xsl:template name="pied">
         
          &lt; metal:block use-macro="here/main_widgets/macros/linksrender" &gt;
          Related links
          &lt; /metal:block &gt;

          &lt; metal:block use-macro="here/main_widgets/macros/discussion" /&gt;
          &lt; /metal:block &gt;
          &lt; /body &gt;
          &lt; /html &gt;
          &lt; /tal:block &gt;

    
	</xsl:template>


</xsl:stylesheet>